------------------------------------------------------------------------------------
--Name:  	sbxt2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-09-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(510, 746)
CppScriptMgr:SetViewScale(180)
CppScriptMgr:ShakeScrEffect(1)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(511, 752)
Player_1:SetDir(5)
local Effect_1 = CppScriptMgr:AddEffect("_p_0_daboluo_armet", 513, 743, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1390)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 513, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(110)
local Player_3 = CppScriptMgr:AddPlayer(950, 513, 746, "TeratoDragon", 0, 0)
Player_3:SetDir(1)
Player_3:SetZoomPercent(10)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(Player_3, 10, 150, 10, 66)
CppScriptMgr:WaitMilSec(1470)
Player_1:SetAction(101)
Player_3:SetAction(101)
Player_3:Say("Hmph, evil energy cannot be eradicated, and I will live forever!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("It`s not so simple to defeat me!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_2 = CppScriptMgr:AddEffect("TSM_JZ_YF1", 502, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 502, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(940)
Player_3:SetDir(2)
local npc_0 = CppScriptMgr:AddSimplePlayer(49446, 502, 745, "ViodragonClubSoul", 0, 0)
npc_0:AddEffect("_p_48_7196220", 33)
npc_0:AddEffect("100wp_wqbhwl", 33)
npc_0:SetDir(6)
npc_0:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(60)
MoveView(510, 746, 506, 746, 1, 33, 1000)
CppScriptMgr:WaitMilSec(940)
npc_0:SetAction(101)
npc_0:Say("Don`t forget, you are my defeated underling!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_3 = CppScriptMgr:AddEffect("TSM_JZ_YF2", 502, 746, 66, 1, 1, 1)
Effect_3:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(140)
npc_0:Say("Chaotic Dance!", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(5)
npc_0:SetHide(1)
local Effect_4 = CppScriptMgr:AddEffect("shenbing_skill1", 513, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(950)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
local effect_0 = CppScriptMgr:AddEffect("xidag_da", 502, 746, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("Ia_appear", 502, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2780)
local effect_1 = CppScriptMgr:AddEffect("shenbing_skill1_2", 513, 746, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(220)
Player_3:SetAction(330)
CppScriptMgr:WaitMilSec(1540)
Player_3:SetHide(1)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(650)
CppScriptMgr:ClearEffect(Effect_4)
CppScriptMgr:ClearEffect(Effect_5)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:WaitMilSec(60)
local npc_1 = CppScriptMgr:AddSimplePlayer(49440, 513, 745, "ViodragonClubSoul", 0, 0)
npc_1:SetZoomPercent(150)
npc_1:AddEffect("100wp_wqbhwl", 33)
CppScriptMgr:WaitMilSec(1170)
CppScriptMgr:NpcCallOut("The power accumulated over a hundred years, all depleted today...", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "ViodragonClubSoul", 250, 655, false)
CppScriptMgr:WaitMilSec(150)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(1350)
CppScriptMgr:NpcCallOut("I will start rebuilding my faith and gather new strength.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "ViodragonClubSoul", 250, 655, false)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(1470)
Player_1:Say("Do you have to spend another hundred years?", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1490)
CppScriptMgr:NpcCallOut("Perhaps... but if you can help me, it won`t take that long.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "ViodragonClubSoul", 250, 655, false)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(1450)
Player_1:SetAction(101)
Player_1:Say("What can I do?", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("As long as you help me restore the Viodragon Club, it will accelerate my cultivation speed, allowing me to regain my divine radiance sooner.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "ViodragonClubSoul", 250, 655, false)
CppScriptMgr:WaitMilSec(140)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(1360)
Player_1:SetAction(200)
Player_1:Say("I see.", 1500)
CppScriptMgr:WaitMilSec(2000)